<template>
  <vol-box v-model="show" title="物料状态更改" :width="800" :height="600">
    <template #content>
      <el-form ref="form" :model="form" label-width="90px">
        <el-form-item label="库存编号">
          <el-input type="text" v-model="this.form.palletCode" readonly></el-input>
        </el-form-item>
        <el-form-item label="状态" prop="SCNo">
          <el-select v-model="form.SCNo" placeholder="请选择物料状态">
            <el-option label="待检" value="0" />
            <el-option label="合格" value="1" />
            <el-option label="不合格" value="2" />
            <el-option label="空托" value="3" />
            <el-option label="退货" value="4" />
            <el-option label="返工" value="5" />
            <el-option label="特采" value="6" />
          </el-select>
        </el-form-item>
      </el-form>
    </template>
    <template #footer>
      <div>
        <el-button type="danger" size="small" plain @click="submit">
          <i class="el-icon-check">修改</i>
        </el-button>
        <el-button size="small" type="primary" plain @click="() => {
          this.show = false;
        }
          ">
          <i class="el-icon-close">关闭</i>
        </el-button>
      </div>
    </template>
  </vol-box>
</template>

<script>
import VolBox from "@/components/basic/VolBox.vue";
export default {
  components: {
    "vol-box": VolBox,
  },
  data() {
    return {
      form: {
        SCNo: "",
        palletCode: ""
      },
      show: false,
    };
  },
  methods: {
    open(palletCode) {
      this.show = true;
      this.form.palletCode = palletCode;
    },
    submit() {
      this.$emit("parentCall", ($vue) => {
        var param = {
          DelKeys: [this.form.palletCode,this.form.SCNo], 
          Extra: true
        }
        this.http
          .post("api/Task/ManualOutbound3", param, "数据处理中...")
          .then((x) => {
            if (x.status) {
              this.$Message.success('成功.');
              this.$parent.refresh();
            } else {
              return this.$Message.error(x.message);
            }
          });
      });
    },
  },

};
</script>